import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A smaller, lighter, faster enemy.
 * 
 * @author Martin Schend, Jannis Andrija Schnitzer
 * @version 2011-01-22
 */
public class Enemy1  extends AIControlledSpaceship
{
    public static final int BASE_HP = 100;
    public static final double BASE_SPEED = 1.3;
    public static final double SPEED_DEVIATION = .05;
    
    public Enemy1(int the_level)
    {
        super(the_level);
        initial_speed = BASE_SPEED;
        speed_deviation = SPEED_DEVIATION;
        hitpoints = max_hitpoints = BASE_HP * level;
        
        setBlinkFile("Enemy1Hit.png");
    }
    
    public void setSide(int the_side)
    {
        super.setSide(the_side);
     
        setupImages();
    }
    
    protected void setupImages()
    {
           if (side == InvadersWorld.WHITE) 
            this.setImage("WhiteEnemy1.png");
        else
            this.setImage("BlackEnemy1.png");
    }
    
    public void act() 
    {
        super.act();
    }    
}
